{
  "_id": "profiledConcessioni",
  "_version": "1.0.0",
  "_name": "Indagini svolte in regime di concessione",
  "_schema": {
    "abstractRelazione": {
      "_min": 1,
      "_children": [
        {
          "filesetIta": {
            "_type": "RegisteredFileSet",
            "_min": 1
          }
        },
        {
          "filesetEng": {
            "_type": "RegisteredFileSet"
          }
        },
        {
          "title": {
            "_min": 1
          }
        }
      ]
    },
    "relazioneScavo": {
      "_max": 1,
      "_min": 1,
      "_children": [
        {
          "fileset": {
            "_type": "RegisteredFileSet",
            "_min": 1
          }
        },
        {
          "title": {
            "_min": 1
          }
        }
      ]
    },
    "immaginiRappresentative": {
      "_max": 4,
      "_children": [
        {
          "fileset": {
            "_type": "RegisteredFileSet",
            "_min": 1
          }
        },
        {
          "title": {
            "_min": 1
          }
        }
      ]
    },
    "posizionamentoScavo": {
      "_max": 1,
      "_min": 1,
      "_children": [
        {
          "fileset": {
            "_type": "RegisteredFileSet",
            "_min": 1
          }
        },
        {
          "title": {
            "_min": 1
          }
        }
      ]
    },
    "pianteFineScavo": {
      "_max": -1,
      "_children": [
        {
          "fileset": {
            "_type": "RegisteredFileSet",
            "_min": 1
          }
        },
        {
          "title": {
            "_min": 1
          }
        }
      ]
    }
  },
  "_description": "Embedded profile for concessioni [mibac] management",
  "_creationInfo": {
    "_user": {
      "_username": "fabio.sinibaldi"
    }
  },
  "_dataAccessPolicies": [
    {
      "_policy": {
        "_read": "any",
        "_write": "any"
      },
      "_roles": [
        "Data-Manager"
      ]
    },
    {
      "_policy": {
        "_read": "own",
        "_write": "own"
      },
      "_roles": [
        "Data-Editor"
      ]
    },
    {
      "_policy": {
        "_read": "any",
        "_write": "none"
      },
      "_roles": [
        "Member"
      ],
      "_enforcer": {
        "_filter": "{\"_lifecycleInformation._phase\" :  {\"$eq\" :  \"Published\"}}"
      }
    },
    {
      "_policy": {
        "_read": "none",
        "_write": "none"
      },
      "_roles": []
    }
  ],
  "_handlers": [
    {
      "_id": "GNA-CONCESSIONI-LC",
      "_type": "LifecycleManagement",
      "_configuration": {
        "step_access": [
          {
            "STEP": "SUBMIT-FOR-REVIEW",
            "roles": []
          },
          {
            "STEP": "REJECT-DRAFT",
            "roles": [
              "Data-Manager",
              "Data-Editor"
            ]
          },
          {
            "STEP": "APPROVE-SUBMITTED",
            "roles": [
              "Data-Manager"
            ]
          },
          {
            "STEP": "UNPUBLISH",
            "roles": [
              "Data-Manager"
            ]
          }
        ]
      }
    },
    {
      "_id": "SDI-Default-Materializer",
      "_type": "Materializer",
      "_configuration": {
        "registeredFileSetPaths": [
          {
            "schemaField": "pianteFineScavo",
            "documentPath": "pianteFineScavo[*].fileset"
          },
          {
            "schemaField": "posizionamentoScavo",
            "documentPath": "posizionamentoScavo.fileset"
          }
        ]
      }
    },
    {
      "_id": "SDI-Indexer-Plugin",
      "_type": "Indexer",
      "_configuration": {
        "bboxEvaluation": [
          "$..posizionamentoScavo.._bbox"
        ],
        "explicitFieldMapping": [
          {
            "name": "nome",
            "path": "$._theDocument.nome",
            "type": "TEXT"
          },
          {
            "name": "data_inizio_progetto",
            "path": "$._theDocument.dataInizioProgetto",
            "type": "TEXT"
          },
          {
            "name": "descrizione",
            "path": "$._theDocument.introduzione",
            "type": "TEXT"
          },
          {
            "name": "contenuto",
            "path": "$._theDocument.descrizioneContenuto",
            "type": "TEXT"
          },
          {
            "name": "autore",
            "path": "$._theDocument.authors",
            "type": "TEXT"
          },
          {
            "name": "contributore",
            "path": "$._theDocument.contributore",
            "type": "TEXT"
          },
          {
            "name": "titolare",
            "path": "$._theDocument.titolari",
            "type": "TEXT"
          },
          {
            "name": "responsabile",
            "path": "$._theDocument.responsabile",
            "type": "TEXT"
          },
          {
            "name": "editore",
            "path": "$._theDocument.editore",
            "type": "TEXT"
          },
          {
            "name": "finanziamento",
            "path": "$._theDocument.fontiFinanziamento",
            "type": "TEXT"
          },
          {
            "name": "soggetto",
            "path": "$._theDocument.soggetto",
            "type": "TEXT"
          },
          {
            "name": "risorse",
            "path": "$._theDocument.risorseCorrelate",
            "type": "TEXT"
          },
          {
            "name": "data_fine_progetto",
            "path": "$._theDocument.dataFineProgetto",
            "type": "TEXT"
          },
          {
            "name": "data_archiviazione",
            "path": "$._info._lastEditInfo._instant",
            "type": "TEXT"
          },
          {
            "name": "versione",
            "path": "$._version",
            "type": "TEXT"
          },
          {
            "name": "licenza",
            "path": "$._info._access._license",
            "type": "TEXT"
          },
          {
            "name": "titolare_licenza",
            "path": "$._theDocument.titolareLicenza",
            "type": "TEXT"
          },
          {
            "name": "accesso",
            "path": "$._info._access._license",
            "type": "TEXT"
          },
          {
            "name": "parole_chiave",
            "path": "$._theDocument.paroleChiaveLibere",
            "type": "TEXT"
          }
        ],
        "jslt": {},
        "additionalLayers": [
          {
            "source": {
              "url": "..."
            },
            "toSetTitle": ""
          }
        ]
      }
    },
    {
      "_id": "org.gcube.portlets.user.geoportal-data-entry-app",
      "_type": "DATA_ENTRY_GUI",
      "_configuration": {
        "gcubeProfiles": [
          {
            "gcubeSecondaryType": "GeoNaMetadata",
            "gcubeName": "Informazioni_di_progetto",
            "sectionName": "$.",
            "sectionTitle": "Informazioni di Progetto"
          },
          {
            "gcubeSecondaryType": "GeoNaMetadata",
            "gcubeName": "Abstract_Relazione_di_Scavo",
            "sectionName": "abstractRelazione",
            "sectionTitle": "Abstract della Relazione Scientifica",
            "parentName": "$.",
            "filePaths": [
              {
                "gcubeProfileFieldName": "Carica Abstract Ita (in PDF)",
                "fieldDefinition": "$.abstractRelazione._children[?(@.filesetIta)]",
                "fieldName": "filesetIta"
              },
              {
                "gcubeProfileFieldName": "Carica Abstract Eng (in PDF)",
                "fieldDefinition": "$.abstractRelazione._children[?(@.filesetEng)]",
                "fieldName": "filesetEng"
              }
            ]
          },
          {
            "gcubeSecondaryType": "GeoNaMetadata",
            "gcubeName": "Relazione_di_Scavo",
            "sectionName": "relazioneScavo",
            "sectionTitle": "Relazione Scientifica",
            "parentName": "$.",
            "filePaths": [
              {
                "gcubeProfileFieldName": "Relazione scientifica (in PDF)",
                "fieldDefinition": "$.relazioneScavo._children[?(@.fileset)]",
                "fieldName": "fileset"
              }
            ]
          },
          {
            "gcubeSecondaryType": "GeoNaMetadata",
            "gcubeName": "Immagine_Rappresentativa_di_Scavo",
            "sectionName": "immaginiRappresentative",
            "sectionTitle": "Immagini Rappresentative",
            "minOccurs": 1,
            "maxOccurs": 4,
            "parentName": "$.",
            "filePaths": [
              {
                "gcubeProfileFieldName": "Immagine",
                "fieldDefinition": "$.immaginiRappresentative._children[?(@.fileset)]",
                "fieldName": "fileset"
              }
            ]
          },
          {
            "gcubeSecondaryType": "GeoNaMetadata",
            "gcubeName": "Posizionamento_dell_area_di_indagine",
            "sectionName": "posizionamentoScavo",
            "sectionTitle": "Posizionamento dell'Area di Indagine",
            "parentName": "$.",
            "filePaths": [
              {
                "gcubeProfileFieldName": "File",
                "fieldDefinition": "$.posizionamentoScavo._children[?(@.fileset)]",
                "fieldName": "fileset"
              }
            ]
          },
          {
            "gcubeSecondaryType": "GeoNaMetadata",
            "gcubeName": "Pianta_di_fine_Scavo",
            "sectionName": "pianteFineScavo",
            "sectionTitle": "Piante di Fine Indagine",
            "parentName": "$.",
            "minOccurs": 0,
            "maxOccurs": 0,
            "filePaths": [
              {
                "gcubeProfileFieldName": "File",
                "fieldDefinition": "$.pianteFineScavo._children[?(@.fileset)]",
                "fieldName": "fileset"
              }
            ]
          }
        ],
        "saveStep": ""
      }
    },
    {
      "_id": "org.gcube.portlets.user.geoportal-data-list",
      "_type": "DATA_LIST_GUI",
      "_configuration": {
        "itemFields": [
          {
            "label": "Any Field",
            "paths": [
              "_theDocument.nome",
              "_theDocument.introduzione",
              "_theDocument.authors",
              "_theDocument.contributore",
              "_theDocument.titolari",
              "_theDocument.editore",
              "_theDocument.responsabile",
              "_theDocument.paroleChiaveLibere",
              "_theDocument.paroleChiaveICCD"
            ],
            "operator": "$or",
            "searchable": true,
            "sortable": false,
            "asResult": false
          },
          {
            "label": "Name",
            "paths": [
              "_theDocument.nome"
            ],
            "operator": "$and",
            "searchable": true,
            "sortable": true,
            "asResult": true
          },
          {
            "label": "Introduction",
            "paths": [
              "_theDocument.introduzione"
            ],
            "operator": "$and",
            "searchable": true,
            "sortable": false,
            "asResult": true
          },
          {
            "label": "Author/s",
            "paths": [
              "_theDocument.authors"
            ],
            "operator": "$and",
            "searchable": false,
            "sortable": true,
            "asResult": true
          },
          {
            "label": "Project Start (yyyy-mm-dd)",
            "paths": [
              "_theDocument.dataInizioProgetto"
            ],
            "operator": "$and",
            "searchable": true,
            "sortable": true,
            "asResult": true
          },
          {
            "label": "Director/Staff",
            "paths": [
              "_theDocument.authors",
              "_theDocument.contributore",
              "_theDocument.titolari",
              "_theDocument.editore",
              "_theDocument.responsabile"
            ],
            "operator": "$or",
            "searchable": true,
            "sortable": false,
            "asResult": true
          },
          {
            "label": "Keywords",
            "paths": [
              "_theDocument.paroleChiaveLibere",
              "_theDocument.paroleChiaveICCD"
            ],
            "operator": "$or",
            "searchable": true,
            "sortable": false,
            "asResult": true
          },
          {
            "label": "Creator",
            "paths": [
              "_info._creationInfo._user._username"
            ],
            "operator": "$or",
            "searchable": true,
            "sortable": false,
            "asResult": false
          },
          {
            "label": "Updated",
            "paths": [
              "_info._lastEditInfo._instant"
            ],
            "operator": "$or",
            "searchable": false,
            "sortable": true,
            "asResult": false
          },
          {
            "label": "Phase",
            "paths": [
              "_lifecycleInformation._phase"
            ],
            "operator": "$or",
            "searchable": true,
            "sortable": true,
            "asResult": false
          },
          {
            "label": "Status",
            "paths": [
              "_lifecycleInformation._lastOperationStatus"
            ],
            "operator": "$or",
            "searchable": true,
            "sortable": true,
            "asResult": false
          }
        ]
      }
    },
    {
      "_id": "org.gcube.portlets.user.geoportal-basic-data-list",
      "_type": "BASIC_DATA_LIST_GUI",
      "_configuration": {
        "itemFields": [
          {
            "label": "Any Field",
            "paths": [
              "_theDocument.nome",
              "_theDocument.introduzione",
              "_theDocument.authors",
              "_theDocument.contributore",
              "_theDocument.titolari",
              "_theDocument.editore",
              "_theDocument.responsabile",
              "_theDocument.paroleChiaveLibere",
              "_theDocument.paroleChiaveICCD"
            ],
            "operator": "$or",
            "searchable": true,
            "sortable": false,
            "asResult": false
          },
          {
            "label": "Name",
            "paths": [
              "_theDocument.nome"
            ],
            "operator": "$and",
            "searchable": true,
            "sortable": true,
            "asResult": true
          },
          {
            "label": "Introduction",
            "paths": [
              "_theDocument.introduzione"
            ],
            "operator": "$and",
            "searchable": true,
            "sortable": false,
            "asResult": true
          },
          {
            "label": "Project Start",
            "paths": [
              "_theDocument.dataInizioProgetto"
            ],
            "operator": "$and",
            "searchable": false,
            "sortable": false,
            "asResult": true
          },
          {
            "label": "Project Start (YEAR)",
            "paths": [
              "_theDocument.dataInizioProgetto"
            ],
            "operator": "$and",
            "searchable": true,
            "sortable": false,
            "asResult": false
          },
          {
            "label": "Director/Staff",
            "paths": [
              "_theDocument.authors",
              "_theDocument.contributore",
              "_theDocument.titolari",
              "_theDocument.editore",
              "_theDocument.responsabile"
            ],
            "operator": "$or",
            "searchable": true,
            "sortable": false,
            "asResult": true
          },
          {
            "label": "Keywords",
            "paths": [
              "_theDocument.paroleChiaveLibere",
              "_theDocument.paroleChiaveICCD"
            ],
            "operator": "$or",
            "searchable": true,
            "sortable": false,
            "asResult": true
          }
        ]
      }
    },
    {
      "_id": "org.gcube.portlets.user.geoportal-timeline-json-template",
      "_type": "TIMELINE_JSON_TEMPLATE",
      "_configuration": {
        "tjt_document": {
          "content": "$.nome",
          "title": "$.nome",
          "start": "$.dataInizioProgetto",
          "end": "$.dataFineProgetto"
        }
      }
    },
    {
      "_id": "org.gcube.portlets.user.grouped_overlay_layers",
      "_type": "GROUPED_OVERLAY_LAYERS",
      "_configuration": {
        "grouped_overlay_layers": [
          {
            "name": "Limiti Amministrativi Italiani 2023 (fonte ISTAT)",
            "description": "Layers automatically added to the Map",
            "layers": [
              {
                "title": "Regioni",
                "name": "limiti_amministrativi:regioni",
                "wms_url": "https://geoserver-t.pre.d4science.org/geoserver/wms?service=WMS&version=1.1.0&request=GetMap&layers=limiti_amministrativi:regioni&styles=&bbox=6.626621368537682,35.49285260122859,18.520381599098922,47.09178374646218&width=768&height=748&srs=EPSG:4326&format=application%2Fopenlayers",
                "display": true
              },
              {
                "title": "Province",
                "name": "limiti_amministrativi:province",
                "wms_url": "https://geoserver-t.pre.d4science.org/geoserver/wms?service=WMS&version=1.1.0&request=GetMap&layers=limiti_amministrativi:province&styles=&bbox=6.626621368537682,35.49285260122859,18.520381599098922,47.09178374646218&width=768&height=748&srs=EPSG:4326&format=application%2Fopenlayers",
                "display": true
              },
              {
                "title": "Comuni",
                "name": "limiti_amministrativi:comuni",
                "wms_url": "https://geoserver-t.pre.d4science.org/geoserver/wms?service=WMS&version=1.1.0&request=GetMap&layers=limiti_amministrativi:comuni&styles=&bbox=6.626621368537682,35.49285260122859,18.520381599098922,47.09178374646218&width=768&height=748&srs=EPSG:4326&format=application%2Fopenlayers",
                "display": true
              }
            ]
          }
        ]
      }
    },
    {
      "_id": "org.gcube.portlets.user.grouped_cross_filtering_layers",
      "_type": "GROUPED_CROSS_FILTERING_LAYERS",
      "_configuration": {
        "grouped_cross_filtering_layers": [
          {
            "name": "Limiti Amministrativi Italiani 2023 (fonte ISTAT)",
            "description": "Spatial filtering for the selected layer",
            "layers": [
              {
                "title": "Regioni",
                "description": "Le Regioni Italiane",
                "name": "limiti_amministrativi:regioni",
                "wfs_url": "https://geoserver-t.pre.d4science.org/geoserver/ows?service=WFS&version=1.1.0&request=GetFeature&typeName=limiti_amministrativi:regioni&maxFeatures=50&outputFormat=application%2Fjson&propertyName=COD_REG,DEN_REG&sortby=DEN_REG",
                "table_show_field": "DEN_REG",
                "table_key_field": "COD_REG",
                "table_parent_key_field": "",
                "table_geometry_name": "the_geom",
                "related_to": [
                  {
                    "title": "Province",
                    "description": "Le Province Italiane",
                    "name": "limiti_amministrativi:province",
                    "wfs_url": "https://geoserver-t.pre.d4science.org/geoserver/ows?service=WFS&version=1.1.0&request=GetFeature&typeName=limiti_amministrativi:province&maxFeatures=150&outputFormat=application%2Fjson&propertyName=COD_PROV,DEN_PROV,COD_REG&sortby=DEN_PROV",
                    "table_show_field": "DEN_PROV",
                    "table_key_field": "COD_PROV",
                    "table_parent_key_field": "COD_REG",
                    "table_geometry_name": "the_geom",
                    "related_to": [
                      {
                        "title": "Comuni",
                        "description": "I Comuni Italiani",
                        "name": "limiti_amministrativi:comuni",
                        "wfs_url": "https://geoserver-t.pre.d4science.org/geoserver/ows?service=WFS&version=1.1.0&request=GetFeature&typeName=limiti_amministrativi:comuni&maxFeatures=9000&outputFormat=application%2Fjson&propertyName=PRO_COM,COMUNE,COD_PROV&sortby=COMUNE",
                        "table_show_field": "COMUNE",
                        "table_key_field": "PRO_COM",
                        "table_parent_key_field": "COD_PROV",
                        "table_geometry_name": "the_geom"
                      }
                    ]
                  }
                ]
              }
            ]
          }
        ]
      }
    },
    {
      "_id": "org.gcube.portlets.user.geoportal-workflow-action-list",
      "_type": "WORKFLOW_ACTION_LIST_GUI",
      "_configuration": {
        "actionsDefinition": [
          {
            "id": "post_creation_action",
            "title": "Post Creation Action",
            "call_STEPS": [],
            "description": "Action fired after the Project creation",
            "display_on_phase": []
          },
          {
            "id": "submit_for_review",
            "title": "Submit for Review",
            "call_STEPS": [
              "SUBMIT-FOR-REVIEW"
            ],
            "description": "Submit the Project (for review)",
            "display_on_phase": [
              "DRAFT"
            ]
          },
          {
            "id": "reject",
            "title": "Reject",
            "call_STEPS": [
              "REJECT-DRAFT"
            ],
            "description": "Reject the Project",
            "display_on_phase": [
              "Pending Approval"
            ]
          },
          {
            "id": "approve",
            "title": "Approve",
            "call_STEPS": [
              "APPROVE-SUBMITTED"
            ],
            "description": "Approve the Project",
            "display_on_phase": [
              "Pending Approval"
            ]
          },
          {
            "id": "unpublish",
            "title": "UnPublish",
            "call_STEPS": [
              "UNPUBLISH"
            ],
            "description": "UnPublish the Project",
            "display_on_phase": [
              "Published"
            ]
          }
        ]
      }
    }
  ],
  "_relationshipDefinitions": [
    {
      "_id": "precedes",
      "_label": "Precede",
      "_reverseRelationId": "follows"
    },
    {
      "_id": "follows",
      "_label": "Segue",
      "_reverseRelationId": "precedes"
    }
  ]
}